/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:12pm
Filepath: scripts\Items\artifacts\Gauntlet\TheSacredElemental.cs
Lines of code: 41

Description: 

***********************************************************/


using System;
using Server.Network;
using Server.Items;
using Server.Mobiles;

namespace Server.Items
{
	[FlipableAttribute( 0x2D2B, 0x2D1F )]
	public class TheSacredElemental : MagicalShortbow
	{
		public override int ArtifactRarity{ get{ return 11; } }
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public TheSacredElemental()
		{
			Name = "The Sacred Elemental";
			Hue = 91;
			Slayer2 = SlayerName.Exorcism;
			Attributes.WeaponDamage = 35;
			Attributes.WeaponSpeed = 35;
		}

		public TheSacredElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
		
		public override void OnAfterLoad()
		{
			Item i = Activator.CreateInstance( DemonKnight.m_ArtifactRarity11[Utility.Random( DemonKnight.m_ArtifactRarity11.Length )] ) as Item;
			
			Misc.ObjectConverter.ConvertItem(this,i);				
		}		
	}
}